Incompatible Extensions for 3.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
User avatar
RMcGirr83
Recognised Extension Developer
Posts: 19970
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Incompatible Extensions for 3.2

Post by RMcGirr83 » Mon Jan 16, 2017 7:22 pm

If everyone would read the "read me first" sticky topic most of your issues wouldn't be issues.

viewtopic.php?p=14460936#faq
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored

LavIgor
Registered User
Posts: 493
Joined: Mon Apr 28, 2014 1:47 pm

Re: Incompatible Extensions for 3.2

Post by LavIgor » Tue Jan 17, 2017 5:46 pm

I think that there's a reason to list compatible extensions instead.
Because otherwise any piece of information here can easily become irrelevant and outdated.
Or at least please note that extensions can have separate versions for the next branch of phpBB.
potku wrote:
Tue Jan 10, 2017 8:00 am
It seems to me Upload Extensions isn't working with 3.2.
BetoMex wrote:
Tue Jan 17, 2017 11:58 am
It seems to me Upload Extensions isn't working with 3.2.
It seems to me that it is mentioned on its CDB page that
Version 3.1.2 is compatible only with phpBB 3.1.x.
It has a development version and it does work on phpBB 3.2.
rocketjedi wrote:
Wed Jan 11, 2017 4:04 am
QuickReply Reloaded not working
And it is mentioned on its CDB page:
"Please note that version 1.0.2 is not compatible with phpBB 3.2.
Checkout extension's website for any updates."

I suppose that the best choice is to check out extensions' topics/pages yourself and to test the compatibility yourself before going here.
Otherwise users can see "the extension XX is incompatible" and remove it without knowing that the information is (again) outdated and irrelevant.

User avatar
RMcGirr83
Recognised Extension Developer
Posts: 19970
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Incompatible Extensions for 3.2

Post by RMcGirr83 » Tue Jan 17, 2017 11:59 pm

Or users can, ***gasp***, actually read what is presented to them in the description of the extension. :roll:
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored

User avatar
3Di
Registered User
Posts: 11364
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milano - Frankfurt
Name: Marco
Contact:

Re: Incompatible Extensions for 3.2

Post by 3Di » Wed Jan 18, 2017 12:24 am

Or, even better, extension writers should appropriately use ext.php in order to deny the installation
a priori in some case.
Wonder how many issues there would be not, now.
Want to compensate me for my interest? You can.
You can pm me only in case of request for paid job. Thx.
MOD conversions, Extensions and Scripts for phpBB.

User avatar
david63
Jr. Extension Validator
Posts: 12189
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: Incompatible Extensions for 3.2

Post by david63 » Wed Jan 18, 2017 7:47 am

3Di wrote:
Wed Jan 18, 2017 12:24 am
Or, even better, extension writers should appropriately use ext.php in order to deny the installation
a priori in some case.
Wonder how many issues there would be not, now.
But you cannot do that respectively. This would not help with upgrading the coe and how can any extension developer know which versions an extension will not work with in the future?
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email or as they will be ignored

pappy1961
Registered User
Posts: 29
Joined: Tue Jun 30, 2015 8:37 pm

Re: Incompatible Extensions for 3.2

Post by pappy1961 » Wed Jan 18, 2017 11:12 pm

I have a problem with one of your old rank extensions David, it seem to have broken my phbb extensions ability. I go to extensions and this is all I can get....
General Error
Cannot find module ./../includes/acp/\david63\userranks\acp\userranks_module.php

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 573
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()

pappy1961
Registered User
Posts: 29
Joined: Tue Jun 30, 2015 8:37 pm

Re: Incompatible Extensions for 3.2

Post by pappy1961 » Thu Jan 19, 2017 12:00 am

Any idea how I can fix this? Cannot disable it, cannot delete its data. It is locked up. I run 3.2

EXTENSION NAME CURRENT VERSION OPTIONS ACTIONS
Enabled Extensions
Background Forum 1.0.5 Details Disable
Board Announcements 1.0.5 Details Disable
Disabled Extensions
The “david63/userranks” extension is not valid.
The requested file could not be found: ./../ext/david63/userranks/composer.json

and....

General Error
Cannot find module ./../includes/acp/\david63\userranks\acp\userranks_module.php

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 573
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()
Last edited by pappy1961 on Fri Jan 20, 2017 1:26 am, edited 1 time in total.

janus_zonstraal
Registered User
Posts: 1165
Joined: Sat Aug 30, 2014 1:30 pm

Re: Incompatible Extensions for 3.2

Post by janus_zonstraal » Thu Jan 19, 2017 7:58 am

Can you disable the extension?

Or disable/remove the modules from that extension.
Sorry! My English is bat ;) !!!

User avatar
Mick
Support Team Member
Support Team Member
Posts: 17389
Joined: Fri Aug 29, 2008 9:49 am

Re: Incompatible Extensions for 3.2

Post by Mick » Thu Jan 19, 2017 9:14 am

pappy1961 wrote:
Thu Jan 19, 2017 12:00 am
Any idea how I can fix this?
Extensions are supported by their authors so you need to post in the discussion/support area for the extension.
"The more connected we get the more alone we become" - Kyle Broflovski

pappy1961
Registered User
Posts: 29
Joined: Tue Jun 30, 2015 8:37 pm

Re: Incompatible Extensions for 3.2

Post by pappy1961 » Fri Jan 20, 2017 1:27 am

Would love to Mick.. just cant find that particular spot...... :?:

User avatar
denysr
Registered User
Posts: 17
Joined: Sun Feb 02, 2003 4:47 am
Location: Wired Prairie
Contact:

Re: Incompatible Extensions for 3.2

Post by denysr » Fri Jan 20, 2017 2:39 am


User avatar
kaspir
Registered User
Posts: 185
Joined: Sun Jul 27, 2008 5:05 am
Name: Greg
Contact:

Re: Incompatible Extensions for 3.2

Post by kaspir » Sun Jan 22, 2017 10:50 am

Auto Groups 1.0.1 - seems to be throwing Fatal Error when visiting UCP-> "Edit Notification Options"
phpBB Directory 1.0.0 - seems to be throwing Fatal Error when visiting UCP-> "Edit Notification Options"
Board Rules 1.1.4 - seems to be throwing Fatal Error when visiting UCP-> "Edit Notification Options"

Just the ones I noticed, I did a general search through this topic before posting. And think I noticed that the authors are aware of Board Rules.
Learning phpBB - my newbie extensions & contributions progress.. :P
TheTopFew.com - Discuss, advertise & backlink your sites. SEO helping authors!

inuyaksa
Registered User
Posts: 4
Joined: Sun Jan 22, 2017 8:23 pm

Re: Incompatible Extensions for 3.2

Post by inuyaksa » Sun Jan 22, 2017 8:45 pm

Fixed @mention system for 3.2 at https://github.com/inuyaksa/mentions

User avatar
NorthWoodMediaWorks
Registered User
Posts: 72
Joined: Wed Oct 20, 2010 5:29 pm
Contact:

Re: Incompatible Extensions for 3.2

Post by NorthWoodMediaWorks » Tue Jan 24, 2017 9:58 pm

Anyone else think a sticky topic like this for Styles in 3.2 might fly? Just sayin'

Cheers :)
Robin
The Forest Forum
Northwood Mediaworks
North Eastern Ontario, Canada 8-)

User avatar
«THÖMÅS®©»
Registered User
Posts: 466
Joined: Sun Feb 27, 2011 5:38 pm
Location: UK
Contact:

Re: Incompatible Extensions for 3.2

Post by «THÖMÅS®©» » Wed Jan 25, 2017 3:03 am

Will any of these be updated for 3.2 or will there be similar mods that have the same functions made?
“No, this trick won't work... How on earth are you ever going to explain in terms of chemistry and physics so important a biological phenomenon as first love?” - Albert Einstein
"For every action has is an equal and opposite reaction". - Sir Isaac Newton
"In honor there is hope" - Alaska State Troopers

I'm an Alienware M17x R2 Owner!

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: Albert Wiersch, david63 and 19 guests